Bug 248291 - databases/galera26: Fails to build: error: no matching function for call to '_ck_assert_failed'
Summary: databases/galera26: Fails to build: error: no matching function for call to '...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-27 06:34 UTC by shrdlu19
Modified: 2020-07-30 11:01 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (devel)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shrdlu19 2020-07-27 06:34:53 UTC
I got the problem when building ports databases/galera26 with Poudriere for FreeBSD 12.1
This port required for databases/MariaDB104-server port

=>> Building databases/galera26
build started at Mon Jul 27 10:19:49 +04 2020
port directory: /usr/ports/databases/galera26
package name: galera26-26.4.5
building for: FreeBSD FreeBSD:12:1:amd64-default-daily-job-02 12.1-RELEASE-p7 FreeBSD 12.1-RELEASE-p7 amd64
maintained by: devel@galeracluster.com
Makefile ident:      $FreeBSD: head/databases/galera26/Makefile 541019 2020-07-02 07:28:50Z joneum $
Poudriere version: 3.3.4
Host OSVERSION: 1201000
Jail OSVERSION: 1201000
Job Id: 02

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1201000
UNAME_v=FreeBSD 12.1-RELEASE-p7
UNAME_r=12.1-RELEASE-p7
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.3.4
MASTERMNT=/poudriere/data/.m/FreeBSD_12_1_amd64-default-daily/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=xterm
GID=0
UID=0
PWD=/poudriere/data/.m/FreeBSD_12_1_amd64-default-daily/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=FreeBSD:12:1:amd64-default-daily
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/poudriere/data/.m/FreeBSD_12_1_amd64-default-daily/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for galera26-26.4.5:
     BOOSTPOOL=off: Use boost pool allocator
     BPOSTATIC=off: Use static boost_program_options
     DEBUG=off: Build with debugging support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
devel@galeracluster.com
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.7" XDG_DATA_HOME=/wrkdirs/usr/ports/databases/galera26/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/galera26/work  HOME=/wrkdirs/usr/ports/databases/galera26/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/databases/galera26/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl OPENSSLINC=/usr/include OPENSSLLIB=/usr/lib XDG_DATA_HOME=/wrkdirs/usr/ports/databases/galera26/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/galera26/work  HOME=/wrkdirs/usr/ports/databases/galera26/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/databases/galera26/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -fno-strict-aliasing "  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -lboost_program_options -lboost_system  -fstack-protector-strong " LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -fno-strict-aliasing  "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
 PYTHON_INCLUDEDIR=include/python3.7m  PYTHON_LIBDIR=lib/python3.7  PYTHON_PLATFORM=freebsd12  PYTHON_SITELIBDIR=lib/python3.7/site-packages  PYTHON_SUFFIX=37  PYTHON_VER=3.7  PYTHON_VERSION=python3.7 PYTHON2="@comment " PYTHON3="" OSREL=12.1 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/galera"  EXAMPLESDIR="share/examples/galera"  DATADIR="share/galera"  WWWDIR="www/galera"  ETCDIR="etc/galera"
--End PLIST_SUB--

--SUB_LIST--
 PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/galera DOCSDIR=/usr/local/share/doc/galera EXAMPLESDIR=/usr/local/share/examples/galera  WWWDIR=/usr/local/www/galera ETCDIR=/usr/local/etc/galera
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
FORCE_PACKAGE=yes
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/FreeBSD:12:1:amd64-default-make.conf ####
DEFAULT_VERSIONS+= php=7.3
DEFAULT_VERSIONS+= pgsql=11
DEFAULT_VERSIONS+= samba=4.10
DEFAULT_VERSIONS+= python=3.7 python2=2.7 python3=3.7
OPTIONS_UNSET+=    X11 GUI CUPS FONTCONFIG MYSQL WAYLAND
OPTIONS_SET+=      ICONV NLS
LICENSES_ACCEPTED+= PDFlib

#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 8.0.1 (tags/RELEASE_801/final 366581) (based on LLVM 8.0.1) Target: x86_64-unknown-freebsd12.1 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.1-RELEASE-p7
OSREL=12.1
OSVERSION=1201000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
_SMP_CPUS=12
CONFIGURE_MAX_CMD_LEN=262144
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  19558
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--

...

c++ -o galera/tests/certification_check.o -c -Weffc++ -std=c++11 -pipe -Wno-long-long -Wno-deprecated -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -g -O3 -DNDEBUG -m64 -pthread -fPIC -Wall -Wextra -Wno-unused-parameter -DHAVE_COMMON_H -DHAVE_SYS_ENDIAN_H -DHAVE_EXECINFO_H -DHAVE_STD_ARRAY -DHAVE_BOOST_SHARED_PTR_HPP -DHAVE_STD_UNORDERED_MAP -DBOOST_DATE_TIME_POSIX_TIME_STD_CONFIG=1 -DHAVE_ASIO_HPP -DOPENSSL_HAS_SET_ECDH_AUTO -Iasio -I/usr/local/include -Iwsrep/src -I. -Icommon -Igalerautils/src -Igcache/src -Igcs/src -Igalera/src galera/tests/certification_check.cpp
galera/tests/certification_check.cpp:121:9: error: no matching function for call to '_ck_assert_failed'
        fail_unless(out.serialize(buf, size) == size);
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:6: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
     ^~~~~~~~~~~~~~~~~
/usr/local/include/check.h:502:27: note: candidate function not viable: requires at least 4 arguments, but 3 were provided
CK_DLL_EXP void CK_EXPORT _ck_assert_failed(const char *file, int line,
                          ^
galera/tests/certification_check.cpp:131:9: error: no matching function for call to '_ck_assert_failed'
        fail_unless(ts->unserialize<true>(act) == size);
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:6: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
     ^~~~~~~~~~~~~~~~~
/usr/local/include/check.h:502:27: note: candidate function not viable: requires at least 4 arguments, but 3 were provided
CK_DLL_EXP void CK_EXPORT _ck_assert_failed(const char *file, int line,
                          ^
galera/tests/certification_check.cpp:135:21: warning: format specifies type 'long long' but the argument has type 'wsrep_seqno_t' (aka 'long') [-Wformat]
                    ts->global_seqno(), result, wsi[i].result);
                    ^~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:78: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
                                                                             ^~~~~~~~~~~
galera/tests/certification_check.cpp:138:24: warning: format specifies type 'long long' but the argument has type 'wsrep_seqno_t' (aka 'long') [-Wformat]
                    i, ts->global_seqno(), ts->depends_seqno(),
                       ^~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:78: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
                                                                             ^~~~~~~~~~~
galera/tests/certification_check.cpp:138:44: warning: format specifies type 'long long' but the argument has type 'wsrep_seqno_t' (aka 'long') [-Wformat]
                    i, ts->global_seqno(), ts->depends_seqno(),
                                           ^~~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:78: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
                                                                             ^~~~~~~~~~~
galera/tests/certification_check.cpp:139:21: warning: format specifies type 'long long' but the argument has type 'wsrep_seqno_t' (aka 'long') [-Wformat]
                    wsi[i].expected_depends_seqno);
                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/check.h:469:21: note: expanded from macro 'fail_unless'
#define fail_unless ck_assert_msg
                    ^
/usr/local/include/check.h:538:78: note: expanded from macro 'ck_assert_msg'
     _ck_assert_failed(__FILE__, __LINE__, "Assertion '"#expr"' failed" , ## __VA_ARGS__)
                                                                             ^~~~~~~~~~~
4 warnings and 2 errors generated.
scons: *** [galera/tests/certification_check.o] Error 1
scons: building terminated because of errors.
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/galera26
=>> Cleaning up wrkdir
===>  Cleaning for galera26-26.4.5
build of databases/galera26 | galera26-26.4.5 ended at Mon Jul 27 10:21:52 +04 2020
build time: 00:02:03
!!! build failure encountered !!!


Also, i tried to build it for FreeBSD 11.3 and got the same problem.
Comment 2 shrdlu19 2020-07-27 09:36:44 UTC
(In reply to VVD from comment #1)
Yes, the patch to revert check to v0.15.0 solves this problem!
Comment 3 commit-hook freebsd_committer 2020-07-30 09:50:30 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Jul 30 09:50:01 UTC 2020
New revision: 543741
URL: https://svnweb.freebsd.org/changeset/ports/543741

Log:
  Fix build of dependent ports by reverting [1]

  - Bump PORTREVISION for package change

  PR:		248274 [2], 248291 [3]
  Reported by:	mandree [2], shrdlu19@gmail.com [3]
  Reference:	https://github.com/libcheck/check/commit/7ac1fcbcefe8813e2a75388ec61e20a184ddc8c8 [1]

Changes:
  head/devel/check/Makefile
  head/devel/check/files/patch-src-check.c
  head/devel/check/files/patch-src-check.h.in
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-07-30 11:01:01 UTC
Committed. Thanks!